## Interface Swift_Transport_IoBuffer

(line 20)

## Description

    Swift_InputByteStream
       |
       --Swift_Transport_IoBuffer

Located in File: /vendors/swiftMailer/classes/Swift/Transport/IoBuffer.php

##### Buffers input and output to a resource.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:
TYPE_PROCESS
TYPE_SOCKET

#### TYPE_PROCESS = 0x0010 (line 28)

##### A process buffer with I/O support

#### TYPE_SOCKET = 0x0001 (line 25)

##### A socket buffer over TCP

## Method Detail

Summary:
void initialize ( $params)
string readLine (int $sequence)
void setParam (string $param, mixed $value)
void setWriteTranslations ( $replacements)
void terminate ()

#### Method initialize (line 35)

#### void initialize( $params)

##### Perform any initialization needed, using the given $params.

Parameters will vary depending upon the type of IoBuffer used.

#### Parameters

- array $params:

#### Info

- access - public

#### Method readLine (line 63)

#### string readLine( int $sequence)

##### Get a line of output (including any CRLF).

The $sequence number comes from any writes and may or may not be used depending upon the implementation.

#### Parameters

- int $sequence: of last write to scan from

#### Info

- access - public

#### Method setParam (line 42)

#### void setParam( string $param, mixed $value)

##### Set an individual param on the buffer (e.g. switching to SSL).

#### Parameters

- string $param:
- mixed $value:

#### Info

- access - public

#### Method setWriteTranslations (line 54)

#### void setWriteTranslations( $replacements)

##### Set an array of string replacements which should be made on data written to the buffer. This could replace LF with CRLF for example.

#### Parameters

- string[] $replacements:

#### Info

- access - public

#### Method terminate (line 47)

#### void terminate( )

##### Perform any shutdown logic needed.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_InputByteStream

#### Swift_InputByteStream::bind() - Attach $is to this stream.

#### Swift_InputByteStream::commit() - For any bytes that are currently buffered inside the stream, force them off the buffer.

#### Swift_InputByteStream::flushBuffers() - Flush the contents of the stream (empty it) and set the internal pointer to the beginning.

#### Swift_InputByteStream::unbind() - Remove an already bound stream.

#### Swift_InputByteStream::write() - Writes $bytes to the end of the stream.

Documentation generated on Fri, 12 Nov 2010 20:45:23 +0000 by phpDocumentor 1.4.3